//
//  BaseViewController.m
//  SlideMenu
//
//  Created by 桶谷 直樹 on 2013/06/09.
//  Copyright (c) 2013年 桶谷 直樹. All rights reserved.
//

#import "BaseViewController.h"
#import "MenuViewController.h"
#import "MainViewController.h"
#import "TextViewController.h"
#import "MainScrollView.h"

@interface BaseViewController ()

@end

@implementation BaseViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    // メニュー
    self.menuViewController = [[MenuViewController alloc] initWithNibName:@"MenuViewController" bundle:nil];
    
    self.menuViewController.view.frame = self.view.frame;
    [self addChildViewController:self.menuViewController];
    [self.view addSubview:self.menuViewController.view];
    
    
    sv = [[MainScrollView alloc] initWithFrame:CGRectMake(0, 0, 320, 548)];
    //    sv.backgroundColor = [UIColor grayColor];
    
    // テキスト
    self.textViewController = [[TextViewController alloc] initWithNibName:@"TextViewController" bundle:nil];
    
    self.textViewController.view.frame = CGRectMake(570, 0, 320, 548);
    
    [self addChildViewController:self.textViewController];
    [sv addSubview:self.textViewController.view];
    
    // メイン
    self.mainViewController = [[MainViewController alloc] initWithNibName:@"MainViewController" bundle:nil];
    
    self.mainViewController.view.frame = CGRectMake(250, 0, 320, 548);
    
    [self addChildViewController:self.mainViewController];
    [sv addSubview:self.mainViewController.view];
    
    [self.view addSubview:sv];
    
    // ページサイズ
    sv.contentSize = CGSizeMake(570, 548);
    
    // 初期位置
    sv.contentOffset = CGPointMake(250, 0);
    
    // ページ単位でスクロールする
    sv.pagingEnabled = YES;
    
    // スクロールをバウンドさせない
    sv.bounces = NO;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)paging
{
    if (sv.contentOffset.x == 0) {
        [self hideMenu];
    } else {
        [self showMenu];
    }
}

- (void)showMenu
{
    [UIView beginAnimations:nil context:nil];
    
    [UIView setAnimationDuration:0.3];
    [UIView setAnimationCurve:UIViewAnimationCurveLinear];
    
    sv.contentOffset = CGPointMake(0, 0);
    
    [UIView commitAnimations];
}

- (void)hideMenu
{
    [UIView beginAnimations:nil context:nil];
    
    [UIView setAnimationDuration:0.3];
    [UIView setAnimationCurve:UIViewAnimationCurveLinear];
    
    sv.contentOffset = CGPointMake(250, 0);
    
    [UIView commitAnimations];
}

@end
