//
//  MenuViewController.m
//  SlideMenu
//
//  Created by 桶谷 直樹 on 2013/06/09.
//  Copyright (c) 2013年 桶谷 直樹. All rights reserved.
//

#import "MenuViewController.h"
#import "BaseViewController.h"
#import "MainViewController.h"

@interface MenuViewController ()

@end

@implementation MenuViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    /*
    headerList = @[@"", @"", @"総合", @"国内", @"海外"];
    
    contentsList = @[
                     @[@"トップ"],
                     @[@"クリップ一覧"],
                     @[@"ニュース", @"コラム", @"ランキング"],
                     @[@"人事", @"企業", @"経済", @"政治・社会"],
                     @[@"海外総合"]
                     ];
     */
    
    headerList = @[@"", @""];
    contentsList = @[@[@"TextView"], @[@"WebView"]];
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    // Return the number of sections.
    return [headerList count];
}

- (NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section
{
    return headerList[section];
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    // Return the number of rows in the section.
    NSLog(@"%d: %d", section, [contentsList[section] count]);
    return [contentsList[section] count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier];
        
        cell.textLabel.text = contentsList[indexPath.section][indexPath.row];
    }
    
    // Configure the cell...
    
    return cell;
}

/*
 // Override to support conditional editing of the table view.
 - (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
 {
 // Return NO if you do not want the specified item to be editable.
 return YES;
 }
 */

/*
 // Override to support editing the table view.
 - (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
 {
 if (editingStyle == UITableViewCellEditingStyleDelete) {
 // Delete the row from the data source
 [tableView deleteRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationFade];
 }
 else if (editingStyle == UITableViewCellEditingStyleInsert) {
 // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
 }
 }
 */

/*
 // Override to support rearranging the table view.
 - (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
 {
 }
 */

/*
 // Override to support conditional rearranging of the table view.
 - (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
 {
 // Return NO if you do not want the item to be re-orderable.
 return YES;
 }
 */

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSLog(@"didSelectRowAtIndexPath");
    NSLog(@"section: %d", indexPath.section);
    NSLog(@"row: %d", indexPath.row);
    
    __weak BaseViewController *baseViewController = (BaseViewController *)[self parentViewController];
    
    [baseViewController paging];
    
    for (int i = 0; i < [[baseViewController childViewControllers] count]; i++) {
        __weak UIViewController *vc = [baseViewController childViewControllers][i];
        
        if ([vc isKindOfClass:[MenuViewController class]]) {
            continue;
        }
        
        if (i == indexPath.section + 1) {
            NSLog(@"%@", [vc class]);
            vc.view.frame = CGRectMake(250, 0, 320, 548);
        } else {
            vc.view.frame = CGRectMake(570, 0, 320, 548);
        }
    }
}

@end
